On Wed, 04 Sep 2013, Jérémy Lal wrote:
> On 04/09/2013 12:01, Raphael Hertzog wrote:
> > On Sun, 28 Jul 2013, Marcelo Jorge Vieira wrote:
> >> There is a big problem, Grunt depends on the JSHint and it is not
> >> DFSG-compatible (Crockford's license).
> >>
> >> Please read this:
> >> http://lists.alioth.debian.org/pipermail/pkg-javascript-devel/2013-February/004850.html
> > 
> > What's non-free in https://github.com/jshint/jshint/blob/master/LICENSE ?
> > 
> > It looks fine to me. It's really a problem to have an outdated jquery
> > in Debian. :-|
> 
> Please be not evil
> https://github.com/jshint/jshint/blob/master/src/jshint.js#L19

Oh right, anyway, has it been confirmed that Grunt really needs JSHint to
be functional? I mean JSHint looks like a tool to spot mistakes, not like
something that is mandatory in any build system.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to